/***************************************************************************
 *
 *          Copyright (c) 2003, CTI Molecular Imaging
 *          All Rights Reserved
 *
 *          JCALDAP - The Open Source Java Resource Adapter for LDAP
 * 
 *  			Distributable under LGPL license.
 *  			See terms of license at gnu.org.  
 *
 ***************************************************************************/
package org.jboss.mail.jca;
import javax.mail.Session;
import javax.naming.NamingException;

import org.apache.log4j.Category;
/**
 *
 * @author  Scott.Stark@jboss.org
 * @version $Revision: 1.1.1.1 $
 */
public class WrappedSession {
	static Category log = Category.getInstance(WrappedSession.class);
	ManagedWrappedSession mc;
	Session session = null;

	private boolean closed = false;


	/** Creates new LdapConnection */
	public WrappedSession(ManagedWrappedSession mc) {
		log.debug("LdapManagedConnection ctor");
		this.mc = mc;
	}
	protected void setManagedConnection(ManagedWrappedSession mc) {
		this.mc = mc;
	}
	public void close() throws NamingException {
		closed = true;
		if (mc != null) {
			mc.closeHandle(this);
		} // end of if ()
		mc = null;
	}
}
